# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['mqer', 'mqer.jsonlogger', 'mqer.worker']

package_data = \
{'': ['*']}

install_requires = \
['apscheduler>=3.7.0,<4.0.0',
 'click>=8.0.3,<9.0.0',
 'dacite>=1.6.0,<2.0.0',
 'kombu>=5.0.2,<6.0.0',
 'orjson>=3.7.2,<4.0.0',
 'python-dateutil>=2.7.3,<3.0.0',
 'python-json-logger>=2.0.2,<3.0.0']

entry_points = \
{'console_scripts': ['mqer = mqer.cli:main']}

setup_kwargs = {
    'name': 'mqer',
    'version': '1.0.5',
    'description': 'python相关一些工具包，如mq的worker、定时任务、json日志',
    'long_description': '# mqer\n\nmq worker and timer',
    'author': 'WenBin',
    'author_email': 'caowb@pillarbiosci.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
