from dataclasses import dataclass

from mqer.dataclass_mixin import BaseDataclassMixin

MSGCLS_PATH_HEADER_KEY = "p-msgclspath"
DISCARDED_HEADER_KEY = "p-discarded"
MSG_TRACKID_KEY = "p-msgtrackid"


@dataclass
class BaseMessage(BaseDataclassMixin):
    @property
    def msgcls_path(self) -> str:
        return self.__class__.__qualname__

    @property
    def get_message_id(self) -> str:
        return ""
